import request from '@/utils/request'

// 查询banner列表
export function goodsBannerList(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/goods/banner/list',
    method: 'post',
    data,
    urlParams
  })
}

// 查询banner详情
export function goodsBannerDetail(data) {
  return request({
    url: '/api/v1/mp/admin/goods/banner/detail',
    method: 'post',
    data
  })
}

// 修改banner信息
export function goodsBannerUpdate(data) {
  return request({
    url: '/api/v1/mp/admin/goods/banner/update',
    method: 'post',
    data
  })
}

// 新增banner信息
export function goodsBannerCreate(data) {
  return request({
    url: '/api/v1/mp/admin/goods/banner/create',
    method: 'post',
    data
  })
}

// 删除banner信息
export function goodsBannerRemove(data) {
  return request({
    url: '/api/v1/mp/admin/goods/banner/remove',
    method: 'post',
    data
  })
}